io.etcd.jetcd

## Class Util

- java.lang.Object
- - io.etcd.jetcd.Util

    public final class Util
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static com.google.protobuf.ByteString` `prefixNamespace(com.google.protobuf.ByteString key, ByteSequence namespace)`
`static com.google.protobuf.ByteString` `prefixNamespaceToRangeEnd(com.google.protobuf.ByteString end, ByteSequence namespace)`
`static List<URI>` `toURIs(Collection<String> uris)`
`static com.google.protobuf.ByteString` `unprefixNamespace(com.google.protobuf.ByteString key, ByteSequence namespace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toURIs

    public static List<URI> toURIs(Collection<String> uris)

#### prefixNamespace

    public static com.google.protobuf.ByteString prefixNamespace(com.google.protobuf.ByteString key,
                                                                 ByteSequence namespace)

#### prefixNamespaceToRangeEnd

    public static com.google.protobuf.ByteString prefixNamespaceToRangeEnd(com.google.protobuf.ByteString end,
                                                                           ByteSequence namespace)

#### unprefixNamespace

    public static com.google.protobuf.ByteString unprefixNamespace(com.google.protobuf.ByteString key,
                                                                   ByteSequence namespace)